util.ui

## Class TabLayout

- java.lang.Object
- - util.ui.TabLayout

- All Implemented Interfaces:
    java.awt.LayoutManager

      public class TabLayout
      extends java.lang.Object
      implements java.awt.LayoutManager

  A layout similar to the `GridLayout`, whose column widths and row heights can variate. so a column with only narrow components is narrower than one with large components.
  Author:
    Til Schneider, www.murfman.de

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `anzahlSpalten`
    `protected boolean` | `dontMaximizeComponents`
    `protected int` | `xAbs`
    `protected int` | `yAbs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabLayout(int columns)` Constructs a TabLayout.
    `TabLayout(int columns, boolean dontMaximizeComponents)` Constructs a TabLayout.
    `TabLayout(int columns, int xAbs, int yAbs)` Constructs a TabLayout.
    `TabLayout(int columns, int xAbs, int yAbs, boolean dontMaximizeComponents)` Constructs a TabLayout.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
    `(package private) int[]` | `getBreiten(int gesBreite, java.awt.Component[][] comp)`
    `(package private) java.awt.Component[][]` | `getComponentFeld(java.awt.Container c)`
    `(package private) int[]` | `getHoehen(int gesHoehe, java.awt.Component[][] comp)`
    `void` | `layoutContainer(java.awt.Container target)`
    `java.awt.Dimension` | `minimumLayoutSize(java.awt.Container target)`
    `java.awt.Dimension` | `preferredLayoutSize(java.awt.Container c)`
    `void` | `removeLayoutComponent(java.awt.Component comp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### anzahlSpalten

          protected int anzahlSpalten

    - #### xAbs

          protected int xAbs

    - #### yAbs

          protected int yAbs

    - #### dontMaximizeComponents

          protected boolean dontMaximizeComponents

  - ### Constructor Detail

    - #### TabLayout

          public TabLayout(int columns)

      Constructs a TabLayout.
      Parameters:
        `columns` - The number of columns.

    - #### TabLayout

          public TabLayout(int columns,
                   int xAbs,
                   int yAbs)

      Constructs a TabLayout.
      Parameters:
        `columns` - The number of columns.
        `xAbs` - horizontal gap between the components
        `yAbs` - vertical gap between the components

    - #### TabLayout

          public TabLayout(int columns,
                   boolean dontMaximizeComponents)

      Constructs a TabLayout.
      Parameters:
        `columns` - The number of columns.
        `dontMaximizeComponents` - If true the Components of a Container using this TabLayout are not maximized to fit in their cell but have a maximum size equal to their preferred size.

    - #### TabLayout

          public TabLayout(int columns,
                   int xAbs,
                   int yAbs,
                   boolean dontMaximizeComponents)

      Constructs a TabLayout.
      Parameters:
        `columns` - The number of columns.
        `xAbs` - horizontal gap between the components
        `yAbs` - vertical gap between the components
        `dontMaximizeComponents` - If true the Components of a Container using this TabLayout are not maximized to fit in their cell but have a maximum size equal to their preferred size.

  - ### Method Detail

    - #### getComponentFeld

          java.awt.Component[][] getComponentFeld(java.awt.Container c)

    - #### getBreiten

          int[] getBreiten(int gesBreite,
                         java.awt.Component[][] comp)

    - #### getHoehen

          int[] getHoehen(int gesHoehe,
                        java.awt.Component[][] comp)

    - #### addLayoutComponent

          public void addLayoutComponent(java.lang.String name,
                                java.awt.Component comp)

      Specified by:
        `addLayoutComponent` in interface `java.awt.LayoutManager`

    - #### removeLayoutComponent

          public void removeLayoutComponent(java.awt.Component comp)

      Specified by:
        `removeLayoutComponent` in interface `java.awt.LayoutManager`

    - #### preferredLayoutSize

          public java.awt.Dimension preferredLayoutSize(java.awt.Container c)

      Specified by:
        `preferredLayoutSize` in interface `java.awt.LayoutManager`

    - #### minimumLayoutSize

          public java.awt.Dimension minimumLayoutSize(java.awt.Container target)

      Specified by:
        `minimumLayoutSize` in interface `java.awt.LayoutManager`

    - #### layoutContainer

          public void layoutContainer(java.awt.Container target)

      Specified by:
        `layoutContainer` in interface `java.awt.LayoutManager`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)